package com.ruoyi.system.domain.grid.vo;

import java.util.Arrays;

/**
 * @Auther: hxc
 * @Date: 2019/3/14 0014 15:02etWgxxList
 * @Description:
 */
public class GridDxbVO {
    private String[] wgCodeList;
    private String[] fwlxCodeList;//房屋类型code集合
    private String dxlx;//对象类型 企业（qy）、资产（zc）、城乡（cx）、商户/商铺 （sh）、其他（qt）、专属（zs）
    private String qylx;//企业类型 1安监   、 2环保、3其他, 多个用逗号连接
    private String zczt;//资产状态:出租、闲置、空置、出售String[]
    private String name; //对象名称
    private String wglx; //网格类型:1、基础网格  2、专属网格
    private String wgCode;
    private Integer pageNum=1;
    private Integer pageSize=10;
    private String userId;
    private String createBy;
    private String createTime;
    private String optionType;//操作类型 1：随机 2：固定
    private int suijiCount;//随机数量


    public String[] getFwlxCodeList() {
        return fwlxCodeList;
    }

    public void setFwlxCodeList(String[] fwlxCodeList) {
        this.fwlxCodeList = fwlxCodeList;
    }

    public int getSuijiCount() {
        return suijiCount;
    }

    public void setSuijiCount(int suijiCount) {
        this.suijiCount = suijiCount;
    }

    public String getOptionType() {
        return optionType;
    }

    public void setOptionType(String optionType) {
        this.optionType = optionType;
    }

    public String getCreateBy() {
        return createBy;
    }

    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getWgCode() {
        return wgCode;
    }

    public void setWgCode(String wgCode) {
        this.wgCode = wgCode;
    }

    public String[] getWgCodeList() {
        return wgCodeList;
    }

    public void setWgCodeList(String[] wgCodeList) {
        this.wgCodeList = wgCodeList;
    }

    public String getDxlx() {
        return dxlx;
    }

    public void setDxlx(String dxlx) {
        this.dxlx = dxlx;
    }

    public String getQylx() {
        return qylx;
    }

    public void setQylx(String qylx) {
        this.qylx = qylx;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Integer getPageNum() {
        return pageNum;
    }

    public void setPageNum(Integer pageNum) {
        this.pageNum = pageNum;
    }

    public Integer getPageSize() {
        return pageSize;
    }

    public void setPageSize(Integer pageSize) {
        this.pageSize = pageSize;
    }

    public String getWglx() {
        return wglx;
    }

    public void setWglx(String wglx) {
        this.wglx = wglx;
    }

    public String getZczt() {
        return zczt;
    }

    public void setZczt(String zczt) {
        this.zczt = zczt;
    }

    @Override
    public String toString() {
        return "WgdxbVO{" +
                "wgIdList=" + Arrays.toString(wgCodeList) +
                ", dxlx='" + dxlx + '\'' +
                ", qylx='" + qylx + '\'' +
                ", zczt='" + zczt + '\'' +
                ", name='" + name + '\'' +
                ", pageNum=" + pageNum +
                ", pageSize=" + pageSize +
                '}';
    }
}
